package com.ruoyi.web.work.domain.dto;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class BindDto {

    @NotNull(message = "绑定方式不能为空")
    @Min(value = 0, message = "只能选择手机号或身份证绑定")
    @Max(value = 1, message = "只能选择手机号或身份证绑定")
    private Integer type;

    @NotBlank(message = "姓名不能为空")
    private String name;

    @NotBlank(message = "手机号或身份证不能为空")
    private String value;

}
