package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.Diagnosis;

import java.util.List;

public interface DiagnosisMapper extends BaseMapper<Diagnosis> {
    List<Diagnosis> selectList(Diagnosis diagnosis);

    List<Diagnosis> selectDiagnosisInfosByVisitId(String visitId);

    //根据医生代码获取诊断病症名称
    List<Diagnosis> selectDiagnosisByCode(String doctorCode);
}
