package com.ruoyi.web.work.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author lsw
 * @date 2024-07-18
 */
@Data
@Accessors(chain = true)
public class FollowRecordVoList {

    private Long id;

    @ApiModelProperty(value = "所属科室")
    private String deptName;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "模板或提醒标题")
    private String templateName;

    @ApiModelProperty(value = "回访或提醒内容")
    private String op;

    @ApiModelProperty(value = "状态:0=未回访,1=已回访")
    private Integer state;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date createTime;

}
