package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.web.work.domain.Notice;
import com.ruoyi.web.work.domain.vo.NoticeVoList;
import com.ruoyi.web.work.mapper.NoticeMapper;
import com.ruoyi.web.work.service.INoticeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lsw
 * @date 2024-08-20
 */
@Service
public class NoticeServiceImpl extends ServiceImpl<NoticeMapper, Notice> implements INoticeService {
    @Autowired
    private NoticeMapper noticeMapper;

    @Override
    public List<NoticeVoList> selectList(Notice notice) {
        return noticeMapper.selectList(notice);
    }

    @Override
    public List<Notice> indexList() {
        return noticeMapper.indexList();
    }
}
